## rpmlint 1.5

=== Makefile ===
#############################################################################
# File		: Makefile
# Package	: rpmlint
# Author	: Frederic Lepied
# Created on	: Mon Sep 30 13:20:18 1999
# Purpose	: rules to manage the files.
#############################################################################

BINDIR=/usr/bin
LIBDIR=/usr/share/rpmlint
ETCDIR=/etc
MANDIR=/usr/share/man

FILES = rpmlint *.py INSTALL README README.devel COPYING tools/*.py \
	Makefile config rpmdiff rpmlint.bash-completion rpmlint.1 \
	test.sh test/*.rpm test/*.spec test/*.py
GENERATED = ChangeLog __version__.py

PACKAGE = rpmlint
PYTHON = python

# update this variable to create a new release
VERSION := 1.5

# for the [A-Z]* part
LC_ALL:=C
export LC_ALL

all: __version__.py __isocodes__.py
	if [ "x${COMPILE_PYC}" = "x1" ] ; then \
		$(PYTHON) -m py_compile [A-Z]*.py __*__.py ; \
	fi
	$(PYTHON) -O -m py_compile [A-Z]*.py __*__.py

clean:
	rm -f *~ *.pyc *.pyo $(GENERATED)

install: all
	mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(ETCDIR)/$(PACKAGE) $(DESTDIR)$(MANDIR)/man1
	-cp -p *.pyc $(DESTDIR)$(LIBDIR)
	cp -p *.py *.pyo $(DESTDIR)$(LIBDIR)
	cp -p rpmlint rpmdiff $(DESTDIR)$(BINDIR)
	cp -p config $(DESTDIR)$(ETCDIR)/$(PACKAGE)
	compdir=`pkg-config --variable=completionsdir bash-completion 2>/dev/null` ; \
	if [ "x$$compdir" = "x" ] ; then \
		mkdir -p $(DESTDIR)$(ETCDIR)/bash_completion.d ; \
		cp -p rpmlint.bash-completion $(DESTDIR)$(ETCDIR)/bash_completion.d/rpmlint ; \
	else \
		mkdir -p $(DESTDIR)$$compdir ; \
		cp -p rpmlint.bash-completion $(DESTDIR)$$compdir/rpmlint ; \
		ln -s rpmlint $(DESTDIR)$$compdir/rpmdiff ; \
	fi
	cp -p rpmlint.1 $(DESTDIR)$(MANDIR)/man1/rpmlint.1

verify:
	pychecker --limit=100 [A-Z]*.py __*__.py

.PHONY: check

check:
	./test.sh

version:
	@echo "$(VERSION)"


dist: cleandist localcopy tar

cleandist:
	rm -rf $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION).tar.xz

localcopy: $(FILES) $(GENERATED)
	mkdir $(PACKAGE)-$(VERSION)
	cp -p --parents $(FILES) $(GENERATED) $(PACKAGE)-$(VERSION)

tar: localcopy
	tar cv --owner=root --group=root -f $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION)
	xz -9evf $(PACKAGE)-$(VERSION).tar
	rm -rf $(PACKAGE)-$(VERSION)

ChangeLog: $(FILES)
	git2cl > $@

__version__.py: Makefile
	echo "# Automatically generated, do not edit" > $@
	echo "__version__ = '$(VERSION)'" >> $@

__isocodes__.py:
	tools/generate-isocodes.py > $@

# Makefile ends here

=== debian/changelog ===
rpmlint (1.5-1) unstable; urgency=low

  * Initial release (Closes: #737602)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 04 Feb 2014 11:18:57 +0100

=== debian/control ===
Source: rpmlint
Section: admin
Priority: extra
Maintainer: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Build-Depends: binutils,
               bzip2,
               cpio,
               debhelper (>= 9),
               dh-python,
               iso-codes,
               python (<< 3),
               python-rpm (>= 4.4),
               rpm,
               rpm2cpio
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/p/rpmlint/
Vcs-Git: git://github.com/aborrero/pkg-rpmlint.git
Vcs-Browser: https://github.com/aborrero/pkg-rpmlint

Package: rpmlint
Architecture: all
Depends: binutils,
         bzip2,
         cpio,
         desktop-file-utils,
         python-rpm,
         rpm2cpio,
         ${misc:Depends},
         ${python:Depends}
Recommends: groff-base, python-enchant, python-magic
Suggests: rpm
Description: RPM package checker
 rpmlint is a tool for checking common errors in rpm packages.  rpmlint
 can be used to test individual packages before uploading or to check
 an entire distribution.  By default all applicable checks are
 performed but specific checks can be performed by using command line
 parameters.
 .
 rpmlint can check binary rpms (files and installed ones), source rpms,
 and plain specfiles, but all checks do not apply to all argument
 types.  For best check coverage, run rpmlint on source rpms instead of
 plain specfiles, and installed binary rpms instead of uninstalled
 binary rpm files.
 .
 The idea for rpmlint is from the lintian tool of the Debian project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The upstream clean target removes the changelog.
override_dh_auto_clean:
	rm -f *~ *.pyc *.pyo __version__.py

override_dh_auto_build:
	rm -f __version__.py
	rm -f __isocodes__.py
	dh_auto_build

%:
	dh $@ --with python2

## rpmlint 1.6

=== Makefile ===
--- 
+++ 
@@ -12,15 +12,15 @@
 MANDIR=/usr/share/man
 
 FILES = rpmlint *.py INSTALL README README.devel COPYING tools/*.py \
-	Makefile config rpmdiff rpmlint.bash-completion rpmlint.1 \
-	test.sh test/*.rpm test/*.spec test/*.py
+	Makefile config rpmdiff rpmdiff.1 rpmlint.bash-completion rpmlint.1 \
+	test.sh test/*/*.rpm test/spec/*.spec test/*.py
 GENERATED = ChangeLog __version__.py
 
 PACKAGE = rpmlint
 PYTHON = python
 
 # update this variable to create a new release
-VERSION := 1.5
+VERSION := 1.6
 
 # for the [A-Z]* part
 LC_ALL:=C
@@ -50,7 +50,7 @@
 		cp -p rpmlint.bash-completion $(DESTDIR)$$compdir/rpmlint ; \
 		ln -s rpmlint $(DESTDIR)$$compdir/rpmdiff ; \
 	fi
-	cp -p rpmlint.1 $(DESTDIR)$(MANDIR)/man1/rpmlint.1
+	cp -p rpmdiff.1 rpmlint.1 $(DESTDIR)$(MANDIR)/man1
 
 verify:
 	pychecker --limit=100 [A-Z]*.py __*__.py

=== debian/changelog ===
rpmlint (1.6-2) unstable; urgency=medium

  * [6d88571] d/: add initial DEP8 test configuration
  * [bacb3c8] d/tests: use rpmlint system binary to run the testsuite
  * [f80d97f] d/control: bump standars to 3.9.6
  * [dc95c10] d/copyright: put first the more general statement

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 02 Oct 2014 12:37:56 +0200

rpmlint (1.6-1) unstable; urgency=medium

  * [bfe77e8] d/rpmdiff.1: add GPL-2+ license
  * [81cdd83] git: ignore autogenerated files
  * [de19e57] Imported Upstream version 1.6
  * [eefb2d0] d/rules: override dh_auto_test
  * [c3aa362] d/control: add python-pytest as build-dep
  * [f4fce47] d/rpmdiff.1: manpage included upstream

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 20 Aug 2014 11:44:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                python (<< 3),
                python-rpm (>= 4.4),
                rpm,
-               rpm2cpio
-Standards-Version: 3.9.5
+               rpm2cpio,
+	       python-pytest
+Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: http://sourceforge.net/p/rpmlint/
 Vcs-Git: git://github.com/aborrero/pkg-rpmlint.git
 Vcs-Browser: https://github.com/aborrero/pkg-rpmlint

=== debian/tests/control ===
Tests: testsuite
Depends:
 @,
 autopkgtest

## rpmlint 1.7

=== Makefile ===
--- 
+++ 
@@ -17,29 +17,35 @@
 GENERATED = ChangeLog __version__.py
 
 PACKAGE = rpmlint
-PYTHON = python
+PYTHON = /usr/bin/python
 
 # update this variable to create a new release
-VERSION := 1.6
+VERSION := 1.7
 
 # for the [A-Z]* part
 LC_ALL:=C
 export LC_ALL
 
 all: __version__.py __isocodes__.py
-	if [ "x${COMPILE_PYC}" = "x1" ] ; then \
-		$(PYTHON) -m py_compile [A-Z]*.py __*__.py ; \
-	fi
-	$(PYTHON) -O -m py_compile [A-Z]*.py __*__.py
 
 clean:
-	rm -f *~ *.pyc *.pyo $(GENERATED)
+	rm -rf *~ *.py[co] */*.py[co] __pycache__ */__pycache__ $(GENERATED)
 
 install: all
 	mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(ETCDIR)/$(PACKAGE) $(DESTDIR)$(MANDIR)/man1
-	-cp -p *.pyc $(DESTDIR)$(LIBDIR)
-	cp -p *.py *.pyo $(DESTDIR)$(LIBDIR)
-	cp -p rpmlint rpmdiff $(DESTDIR)$(BINDIR)
+	cp -p *.py $(DESTDIR)$(LIBDIR)
+	if [ "x${COMPILE_PYC}" = "x1" ] ; then \
+		$(PYTHON) -m py_compile \
+			$(DESTDIR)$(LIBDIR)/[A-Z]*.py \
+			$(DESTDIR)$(LIBDIR)/__*__.py ; \
+	fi
+	$(PYTHON) -O -m py_compile \
+		$(DESTDIR)$(LIBDIR)/[A-Z]*.py \
+		$(DESTDIR)$(LIBDIR)/__*__.py ; \
+	for file in rpmlint rpmdiff ; do \
+		sed -e "s,#!/usr/bin/python ,#!$(PYTHON) ," $$file > $(DESTDIR)$(BINDIR)/$$file ; \
+		chmod +x $(DESTDIR)$(BINDIR)/$$file ; \
+	done
 	cp -p config $(DESTDIR)$(ETCDIR)/$(PACKAGE)
 	compdir=`pkg-config --variable=completionsdir bash-completion 2>/dev/null` ; \
 	if [ "x$$compdir" = "x" ] ; then \
@@ -48,7 +54,7 @@
 	else \
 		mkdir -p $(DESTDIR)$$compdir ; \
 		cp -p rpmlint.bash-completion $(DESTDIR)$$compdir/rpmlint ; \
-		ln -s rpmlint $(DESTDIR)$$compdir/rpmdiff ; \
+		ln -sf rpmlint $(DESTDIR)$$compdir/rpmdiff ; \
 	fi
 	cp -p rpmdiff.1 rpmlint.1 $(DESTDIR)$(MANDIR)/man1

=== debian/changelog ===
rpmlint (1.7-1) unstable; urgency=medium

  * [952d98d] Imported Upstream version 1.7
  * [b0a919f] path-for-autopkgtest.patch: update patch for latest upstream release
  * [30fb60d] d/patches: add patch to fix tests

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 27 Jul 2015 13:50:04 +0200

rpmlint (1.6-5) unstable; urgency=medium

  * [8582faf] d/tests/control: add restriction allow-stderr

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 08 Jul 2015 19:58:29 +0200

rpmlint (1.6-4) unstable; urgency=medium

  * [ffa72d8] debian integration tests: add @builddeps@ dependency

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 26 May 2015 11:41:42 +0200

rpmlint (1.6-3) unstable; urgency=medium

  * [768b897] d/tests/control: rpm is a dependency
  * [8274c8b] d/source/options: ignore autogenerated python files
  * [5598d8f] d/control: rpm in Recommends instead of Suggest

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 05 May 2015 15:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,7 @@
          rpm2cpio,
          ${misc:Depends},
          ${python:Depends}
-Recommends: groff-base, python-enchant, python-magic
-Suggests: rpm
+Recommends: groff-base, python-enchant, python-magic, rpm
 Description: RPM package checker
  rpmlint is a tool for checking common errors in rpm packages.  rpmlint
  can be used to test individual packages before uploading or to check

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -13,5 +12,8 @@
 	rm -f __isocodes__.py
 	dh_auto_build
 
+override_dh_auto_test:
+	make check
+
 %:
 	dh $@ --with python2

=== debian/tests/control ===
Tests: testsuite
Restrictions: allow-stderr
Depends:
 @,
 @builddeps@,
 rpm,
 autopkgtest

=== debian/watch ===
version=3
http://sf.net/rpmlint/rpmlint-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rpmlint 1.9

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,16 @@
 ETCDIR=/etc
 MANDIR=/usr/share/man
 
-FILES = rpmlint *.py INSTALL README README.devel COPYING tools/*.py \
+FILES = rpmlint *.py INSTALL README.md README.devel COPYING tools/*.py \
 	Makefile config rpmdiff rpmdiff.1 rpmlint.bash-completion rpmlint.1 \
 	test.sh test/*/*.rpm test/spec/*.spec test/*.py
-GENERATED = ChangeLog __version__.py
+GENERATED = __version__.py
 
 PACKAGE = rpmlint
 PYTHON = /usr/bin/python
 
 # update this variable to create a new release
-VERSION := 1.7
+VERSION := 1.9
 
 # for the [A-Z]* part
 LC_ALL:=C
@@ -61,31 +61,8 @@
 verify:
 	pychecker --limit=100 [A-Z]*.py __*__.py
 
-.PHONY: check
-
 check:
 	./test.sh
-
-version:
-	@echo "$(VERSION)"
-
-
-dist: cleandist localcopy tar
-
-cleandist:
-	rm -rf $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION).tar.xz
-
-localcopy: $(FILES) $(GENERATED)
-	mkdir $(PACKAGE)-$(VERSION)
-	cp -p --parents $(FILES) $(GENERATED) $(PACKAGE)-$(VERSION)
-
-tar: localcopy
-	tar cv --owner=root --group=root -f $(PACKAGE)-$(VERSION).tar $(PACKAGE)-$(VERSION)
-	xz -9evf $(PACKAGE)-$(VERSION).tar
-	rm -rf $(PACKAGE)-$(VERSION)
-
-ChangeLog: $(FILES)
-	git2cl > $@
 
 __version__.py: Makefile
 	echo "# Automatically generated, do not edit" > $@
@@ -94,4 +71,6 @@
 __isocodes__.py:
 	tools/generate-isocodes.py > $@
 
+.PHONY: all clean install verify check
+
 # Makefile ends here

=== debian/changelog ===
rpmlint (1.9-6) unstable; urgency=medium

  * [b246861] d/t/control: depends on flake8 and python-pytest

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 30 Nov 2016 12:08:59 +0100

rpmlint (1.9-5) unstable; urgency=medium

  [ Evgeni Golov ]
  * [7951e47] rpmlint: fix bash-completion installing into wrong directory
    (Closes: #841725)

  [ Arturo Borrero Gonzalez ]
  * [3acdf65] d/: run wrap-and-sort
  * [1a00af4] rpmlint: disable tests at build time (Closes: #844421)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 29 Nov 2016 11:05:32 +0100

rpmlint (1.9-4) unstable; urgency=medium

  * [d573ab0] d/patches: delete nano .swp control file
  * [bb57a7e] d/: update email address to 'arturo@debian.org'

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 10 Oct 2016 13:58:48 +0200

rpmlint (1.9-3) unstable; urgency=medium

  * [b248e1c] d/{postrm|preinst}: fix call to dpkg-maintscript-helper.
    Thanks to Paul Wise and David Kalnischkies for their help to handle
    the bug (Closes: #833122)
  * [5371297] d/control: fix Vcs-Git URL

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 01 Aug 2016 11:24:43 +0200

rpmlint (1.9-2) unstable; urgency=medium

  * [617b378] d/control: update Maintainer and Uploaders fields for pkg-
    rpm
  * [9372ac4] d/control: update VCS-{git,browser} to point to new repos

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 26 Jul 2016 11:46:27 +0200

rpmlint (1.9-1) unstable; urgency=medium

  * [b9c3ec0] Imported Upstream version 1.9
  * [78c4279] d/patches/path-for-autopkgtest.patch: refresh patch
  * [e0dddf5] d/rules: refresh iso-codes relationship
  * [a67c3c6] d/control: add flake8 as build-dep
  * [b145b7a] d/docs: refresh README file name (to README.md)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 13 Jul 2016 11:51:52 +0200

rpmlint (1.8-1) unstable; urgency=medium

  * [0db4788] Imported Upstream version 1.8
  * [85ec306] d/watch: update file to point to github
  * [5e2629b] d/patches: drop tests_fix.patch
  * [6aaf097] d/patches: add new patch to handle bash completions
  * [e1bdc78] d/rules: iso-codes trick to avoid http request during build
  * [fd1c613] d/: gracefully delete bash completion configuration from
    /etc

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Fri, 22 Apr 2016 13:58:18 +0200

rpmlint (1.7-2) unstable; urgency=medium

  * [6f70920] d/control: update upstream website link
  * [88d7238] d/control: update standars-versions to 3.9.8
  * [9339462] d/control: get rid of XS-Testsuite directive

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 21 Apr 2016 12:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: rpmlint
 Section: admin
 Priority: extra
-Maintainer: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
-Build-Depends: binutils,
+Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
+Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
+Build-Depends: bash-completion,
+               binutils,
                bzip2,
                cpio,
                debhelper (>= 9),
                dh-python,
                iso-codes,
+               pkg-config,
                python (<< 3),
                python-rpm (>= 4.4),
                rpm,
-               rpm2cpio,
-	       python-pytest
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
-Homepage: http://sourceforge.net/p/rpmlint/
-Vcs-Git: git://github.com/aborrero/pkg-rpmlint.git
-Vcs-Browser: https://github.com/aborrero/pkg-rpmlint
+               rpm2cpio
+Standards-Version: 3.9.8
+Homepage: https://github.com/rpm-software-management/rpmlint
+Vcs-Git: https://anonscm.debian.org/git/pkg-rpm/rpmlint.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rpm/rpmlint.git
 
 Package: rpmlint
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: binutils,
          bzip2,
          cpio,

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,12 @@
 override_dh_auto_build:
 	rm -f __version__.py
 	rm -f __isocodes__.py
+	ISO_3166_1_URL="file:///usr/share/iso-codes/json/iso_3166-1.json" \
+	ISO_639_3_URL="file:///usr/share/iso-codes/json/iso_639-3.json" \
 	dh_auto_build
 
 override_dh_auto_test:
-	make check
+	# nothing
 
 %:
 	dh $@ --with python2

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,6 @@
  @,
  @builddeps@,
  rpm,
- autopkgtest
+ autopkgtest,
+ flake8,
+ python-pytest

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rpmlint-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/rpmlint/releases .*/rpmlint-?(\d\S*)\.tar\.gz

## rpmlint 1.11

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,7 @@
 PYTHON = /usr/bin/python
 
 # update this variable to create a new release
-VERSION := 1.9
-
-# for the [A-Z]* part
-LC_ALL:=C
-export LC_ALL
+VERSION := 1.10
 
 all: __version__.py __isocodes__.py
 
@@ -39,9 +35,7 @@
 			$(DESTDIR)$(LIBDIR)/[A-Z]*.py \
 			$(DESTDIR)$(LIBDIR)/__*__.py ; \
 	fi
-	$(PYTHON) -O -m py_compile \
-		$(DESTDIR)$(LIBDIR)/[A-Z]*.py \
-		$(DESTDIR)$(LIBDIR)/__*__.py ; \
+	$(PYTHON) -O -m compileall -d $(LIBDIR) $(DESTDIR)$(LIBDIR)
 	for file in rpmlint rpmdiff ; do \
 		sed -e "s,#!/usr/bin/python ,#!$(PYTHON) ," $$file > $(DESTDIR)$(BINDIR)/$$file ; \
 		chmod +x $(DESTDIR)$(BINDIR)/$$file ; \

=== debian/changelog ===
rpmlint (1.11-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Refresh patches to make autopkgtest pass.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2020 13:09:26 -0500

rpmlint (1.11-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
  * debian/control:
    + Switch to use python3. (Closes: #876758, #938411)
    + Update pkg-rpm team email address. (Closes: #899822)
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.5.0.
    + Also recommend installing appstream-util as suggest by upstream.
    - Drop unnecessary Pre-Depends information.
  * debian/patches: Add patch to enforce python3, refresh known patches.
  * debian/copyright: Slight updates.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2020 01:04:07 -0500

=== debian/control ===
Source: rpmlint
Section: admin
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: bash-completion,
               binutils,
               bzip2,
               cpio,
               debhelper-compat (= 12),
               dh-sequence-python3,
               iso-codes,
               pkg-config,
               python3:any,
               python3-rpm,
               rpm,
               rpm2cpio,
Standards-Version: 4.5.0
Homepage: https://github.com/rpm-software-management/rpmlint
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpmlint.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpmlint

Package: rpmlint
Architecture: all
Depends: binutils,
         bzip2,
         cpio,
         desktop-file-utils,
         python3-rpm,
         rpm2cpio,
         ${misc:Depends},
         ${python3:Depends},
Recommends:
 appstream-util,
 groff-base,
 python3-enchant,
 python3-magic,
 rpm,
Description: RPM package checker
 rpmlint is a tool for checking common errors in rpm packages.  rpmlint
 can be used to test individual packages before uploading or to check
 an entire distribution.  By default all applicable checks are
 performed but specific checks can be performed by using command line
 parameters.
 .
 rpmlint can check binary rpms (files and installed ones), source rpms,
 and plain specfiles, but all checks do not apply to all argument
 types.  For best check coverage, run rpmlint on source rpms instead of
 plain specfiles, and installed binary rpms instead of uninstalled
 binary rpm files.
 .
 The idea for rpmlint is from the lintian tool of the Debian project.

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	# nothing
 
 %:
-	dh $@ --with python2
+	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,4 @@
  rpm,
  autopkgtest,
  flake8,
- python-pytest
+ python3-pytest

## rpmlint 2.2.0+ds1

=== debian/changelog ===
rpmlint (2.2.0+ds1-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/tests/testsuite: Use correct testsuite where binary
    test files are not needed. (Closes: #953380)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:25:08 -0500

rpmlint (2.2.0+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 2.2.0.
    + debian-source: Drop binaries embedded in upstream testsuite.
  * debian/control:
    + Add new build-dependency python3-pybeam.
    + Add python3-pytest* as testing build dependencies.
    + Apply "wrap-and-sort -abst".
  * debian/patches: Drop all patches.
  * debian/tests/control: Update autopkgtest dependency.
  * debian/tests/testsuite: Only run part of the upstream testsuite
    for now (needs more investigation).
  * debian/rpmlint.manpages: Dropped, man page no longer provided
    by upstream.
  * debian/{postinst,postrm,preinst}: Dropped, not needed.
  * debian/watch: Update to v4.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Dec 2021 09:59:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,30 @@
 Section: admin
 Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: bash-completion,
-               binutils,
-               bzip2,
-               cpio,
-               debhelper-compat (= 12),
-               dh-sequence-python3,
-               iso-codes,
-               pkg-config,
-               python3:any,
-               python3-rpm,
-               rpm,
-               rpm2cpio,
+Uploaders:
+ Arturo Borrero Gonzalez <arturo@debian.org>,
+Build-Depends:
+ bash-completion,
+ binutils,
+ bzip2,
+ cpio,
+ debhelper-compat (= 12),
+ dh-sequence-python3,
+ iso-codes,
+ pkg-config,
+ python3-pybeam,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-flake8 <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-rpm,
+ python3-setuptools,
+ python3-toml,
+ python3-xdg,
+ python3-zstd,
+ python3,
+ rpm,
+ rpm2cpio,
 Standards-Version: 4.5.0
 Homepage: https://github.com/rpm-software-management/rpmlint
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpmlint.git
@@ -22,14 +33,14 @@
 
 Package: rpmlint
 Architecture: all
-Depends: binutils,
-         bzip2,
-         cpio,
-         desktop-file-utils,
-         python3-rpm,
-         rpm2cpio,
-         ${misc:Depends},
-         ${python3:Depends},
+Depends:
+ binutils,
+ bzip2,
+ cpio,
+ desktop-file-utils,
+ rpm2cpio,
+ ${misc:Depends},
+ ${python3:Depends},
 Recommends:
  appstream-util,
  groff-base,

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# The upstream clean target removes the changelog.
-override_dh_auto_clean:
-	rm -f *~ *.pyc *.pyo __version__.py
 
 override_dh_auto_build:
 	rm -f __version__.py
@@ -18,4 +14,4 @@
 	# nothing
 
 %:
-	dh $@
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: testsuite
Restrictions: allow-stderr
Depends:
 autopkgtest,
 flake8,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-flake8,
 python3-pytest-xdist,
 rpm,
 @,
 @builddeps@,

## rpmlint 2.3.0+ds1

=== debian/changelog ===
rpmlint (2.3.0+ds1-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add missing build-dep and runtime dep zstd, python3-zstandard.
    (Closes: #1013889)

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Jul 2022 10:32:16 -0400

rpmlint (2.3.0+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/control: Update dependency accordingly.
  * debian/copyright: Update Files-Excluded field.
  * debian/rpmlint.maintscript: Purge obsolete conffile on upgrade.
    (Closes: #1001603)

 -- Boyuan Yang <byang@debian.org>  Sun, 29 May 2022 12:54:07 -0400

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
  dh-sequence-python3,
  iso-codes,
  pkg-config,
+ python3-enchant,
+ python3-magic,
  python3-pybeam,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
@@ -22,11 +24,12 @@
  python3-setuptools,
  python3-toml,
  python3-xdg,
- python3-zstd,
+ python3-zstandard,
  python3,
  rpm,
  rpm2cpio,
-Standards-Version: 4.5.0
+ zstd,
+Standards-Version: 4.6.1
 Homepage: https://github.com/rpm-software-management/rpmlint
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpmlint.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpmlint
@@ -41,11 +44,13 @@
  rpm2cpio,
  ${misc:Depends},
  ${python3:Depends},
+ python3-enchant,
+ python3-magic,
+ python3-zstandard,
+ zstd,
 Recommends:
  appstream-util,
  groff-base,
- python3-enchant,
- python3-magic,
  rpm,
 Description: RPM package checker
  rpmlint is a tool for checking common errors in rpm packages.  rpmlint

## rpmlint 2.4.0+ds1

=== debian/changelog ===
rpmlint (2.4.0+ds1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests/control: Drop direct dependency on autopkgtest
    as suggested by autopkgtest maintainer. (Closes: #1022863)

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Nov 2022 17:37:37 -0400

rpmlint (2.4.0+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/control: Add new build-dep tomli, tomli-w.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 15:52:35 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  binutils,
  bzip2,
  cpio,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  iso-codes,
  pkg-config,
@@ -23,6 +23,8 @@
  python3-rpm,
  python3-setuptools,
  python3-toml,
+ python3-tomli,
+ python3-tomli-w,
  python3-xdg,
  python3-zstandard,
  python3,

## rpmlint 2.5.0+ds1

=== debian/changelog ===
rpmlint (2.5.0+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Migrate to use pybuild-plugin-pyproject.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Dec 2023 09:49:18 -0500

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
  dh-sequence-python3,
  iso-codes,
  pkg-config,
+ pybuild-plugin-pyproject,
+ python3,
  python3-enchant,
  python3-magic,
  python3-pybeam,
@@ -27,7 +29,6 @@
  python3-tomli-w,
  python3-xdg,
  python3-zstandard,
- python3,
  rpm,
  rpm2cpio,
  zstd,
@@ -43,13 +44,13 @@
  bzip2,
  cpio,
  desktop-file-utils,
- rpm2cpio,
- ${misc:Depends},
- ${python3:Depends},
  python3-enchant,
  python3-magic,
  python3-zstandard,
+ rpm2cpio,
  zstd,
+ ${misc:Depends},
+ ${python3:Depends},
 Recommends:
  appstream-util,
  groff-base,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 	dh_auto_build
 
 override_dh_auto_test:
-	# nothing
+	-dh_auto_test
+
+execute_after_dh_python3:
+	rm -fv debian/rpmlint/usr/lib/python3*/*-packages/.coverage
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Tests: testsuite
 Restrictions: allow-stderr
 Depends:
- autopkgtest,
  flake8,
  python3-pytest,
  python3-pytest-cov,

## rpmlint 2.6.1

=== debian/changelog ===
rpmlint (2.6.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093666)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 22:09:20 -0500

rpmlint (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 06 Aug 2024 21:29:30 -0400

rpmlint (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add myself into the uploaders list.
  * debian/copyright: Do not exclude test blobs anymore.
  * debian/control: Remove old contributor from the uploaders list.
    Thanks for your work! (Closes: #1076389)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 20:25:43 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,6 @@
 Section: admin
 Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders:
- Arturo Borrero Gonzalez <arturo@debian.org>,
 Build-Depends:
  bash-completion,
  binutils,
@@ -12,7 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  iso-codes,
- pkg-config,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3,
  python3-enchant,
@@ -32,7 +30,7 @@
  rpm,
  rpm2cpio,
  zstd,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/rpmlint
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpmlint.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpmlint

## rpmlint 2.7.0

=== Makefile ===
all: rpmlint/__isocodes__.py

clean:
	rm -f rpmlint/__isocodes__.py

rpmlint/__isocodes__.py:
	tools/generate-isocodes.py > $@

=== debian/changelog ===
rpmlint (2.7.0-3) unstable; urgency=medium

  * QA upload.
  * Drop python-pytest-flake8 from autopkgtests.

 -- Bastian Germann <bage@barriere.debian.org>  Sun, 06 Jul 2025 11:35:19 +0000

rpmlint (2.7.0-2) unstable; urgency=medium

  * QA upload.
  * Drop python-pytest-flake8.

 -- Bastian Germann <bage@debian.org>  Wed, 02 Apr 2025 21:08:34 +0200

rpmlint (2.7.0-1.0) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1101179)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 28 Mar 2025 15:55:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rpmlint
 Section: admin
 Priority: optional
-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  bash-completion,
  binutils,
@@ -18,7 +18,6 @@
  python3-pybeam,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-pytest-flake8 <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-rpm,
  python3-setuptools,

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  flake8,
  python3-pytest,
  python3-pytest-cov,
- python3-pytest-flake8,
  python3-pytest-xdist,
  rpm,
  @,

## rpmlint 2.8.0

=== debian/changelog ===
rpmlint (2.8.0-1) unstable; urgency=medium

  * QA upload.
  * debian/control: Move package description to source package section.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Oct 2025 15:04:56 -0400

rpmlint (2.7.0-4) unstable; urgency=medium

  * QA upload
  * Drop python3-toml & python3-tomli from build-dependencies.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 13:03:06 +0200

=== debian/control ===
Source: rpmlint
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bash-completion,
 binutils,
 bzip2,
 cpio,
 debhelper-compat (= 13),
 dh-sequence-python3,
 iso-codes,
 pkgconf,
 pybuild-plugin-pyproject,
 python3,
 python3-enchant,
 python3-magic,
 python3-pybeam,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-rpm,
 python3-setuptools,
 python3-tomli-w,
 python3-xdg,
 python3-zstandard,
 rpm,
 rpm2cpio,
 zstd,
Standards-Version: 4.7.2
Homepage: https://github.com/rpm-software-management/rpmlint
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpmlint.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpmlint
Description: RPM package checker
 rpmlint is a tool for checking common errors in rpm packages.  rpmlint
 can be used to test individual packages before uploading or to check
 an entire distribution.  By default all applicable checks are
 performed but specific checks can be performed by using command line
 parameters.
 .
 rpmlint can check binary rpms (files and installed ones), source rpms,
 and plain specfiles, but all checks do not apply to all argument
 types.  For best check coverage, run rpmlint on source rpms instead of
 plain specfiles, and installed binary rpms instead of uninstalled
 binary rpm files.
 .
 The idea for rpmlint is from the lintian tool of the Debian project.

Package: rpmlint
Architecture: all
Depends:
 binutils,
 bzip2,
 cpio,
 desktop-file-utils,
 python3-enchant,
 python3-magic,
 python3-zstandard,
 rpm2cpio,
 zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 appstream-util,
 groff-base,
 rpm,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/rpm-software-management/rpmlint/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
